Package org.eclipse.e4.ui.css.core.util.resources

# Interface IResourceLocator

All Superinterfaces:
  `IURIResolver`

All Known Subinterfaces:
  `IResourcesLocatorManager`

All Known Implementing Classes:
  `FileResourcesLocatorImpl`, `HttpResourcesLocatorImpl`, `OSGiResourceLocator`, `ResourcesLocatorManager`

public interface IResourceLocator extends IURIResolver
Resources locator to get `InputStream` or `Reader` from an URI.

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream(String uri)`
Return `InputStream` from the `uri`.

### Methods inherited from interface org.eclipse.e4.ui.css.core.util.resources.IURIResolver

`resolve`

## Method Details

### getInputStream

InputStream getInputStream(String uri) throws Exception
Return `InputStream` from the `uri`.

Throws:
  `Exception`